#ifndef OPTIONS_HH
# define OPTIONS_HH

struct Options {
  Options();

  Options &load(int argc, char *argv[]);
  Options &loadenv();

  void usage(const char *name, ostream &out) const;

  friend ostream &operator<<(ostream &, const Options &);

  string server;
  int port; //-1 undef
  string login;
  string pass;
  string history_file;
  size_t history_size;
  size_t log_size;
};

#endif
